# Deprecated API

## Contents

- Classes
- Annotation Interfaces
- Fields
- Methods

- Deprecated Classes
  Class
  Description
  org.apache.cxf.feature.LoggingFeature
  use the logging module rt/features/logging instead
  org.apache.cxf.interceptor.AbstractLoggingInterceptor
  org.apache.cxf.interceptor.LoggingInInterceptor
  use the logging module rt/features/logging instead
  org.apache.cxf.interceptor.LoggingMessage
  use the logging module rt/features/logging instead
  org.apache.cxf.interceptor.LoggingOutInterceptor
  use the logging module rt/features/logging instead

- Deprecated Annotation Interfaces
  Annotation Interface
  Description
  org.apache.cxf.annotations.Logging

- Deprecated Fields
  Field
  Description
  org.apache.cxf.ws.addressing.JAXWSAConstants.CLIENT_ADDRESSING_PROPERTIES_INBOUND
  org.apache.cxf.ws.addressing.JAXWSAConstants.CLIENT_ADDRESSING_PROPERTIES_OUTBOUND
  org.apache.cxf.ws.addressing.JAXWSAConstants.SERVER_ADDRESSING_PROPERTIES_INBOUND
  org.apache.cxf.ws.addressing.JAXWSAConstants.SERVER_ADDRESSING_PROPERTIES_OUTBOUND

- Deprecated Methods
  Method
  Description
  org.apache.cxf.attachment.AttachmentUtil.createAttachment(InputStream, Map<String, List<String>>)
  use createAttachment(InputStream stream, Map<String, List> headers, Message message)
  org.apache.cxf.common.logging.AbstractDelegatingLogger.logrb(Level, String, String, String, String)
  org.apache.cxf.common.logging.AbstractDelegatingLogger.logrb(Level, String, String, String, String, Object)
  org.apache.cxf.common.logging.AbstractDelegatingLogger.logrb(Level, String, String, String, String, Object[])
  org.apache.cxf.common.logging.AbstractDelegatingLogger.logrb(Level, String, String, String, String, Throwable)
  org.apache.cxf.configuration.jsse.TLSParameterJaxBUtils.getTrustManagers(TrustManagersType)
  org.apache.cxf.interceptor.security.JAASLoginInterceptor.setRolePrefix(String)
  replaced by `JAASLoginInterceptor.setRoleClassifier(String)`
  org.apache.cxf.message.MessageUtils.isTrue(Object)
  replaced by {@link #PropertyUtils#isTrue(Object)}
  org.apache.cxf.security.transport.TLSSessionInfo.getChipherSuite()